1. #1
    Ext User
    Join Date
    Apr 2010
    Posts
    4
    Vote Rating
    0
    taghouse is on a distinguished road

      0  

    Exclamation Unanswered: Compatibility with Internet Explorer 9

    Unanswered: Compatibility with Internet Explorer 9


    Hello guys, I've been using EXT Core library since the start of this year, and I noticied that most effects have problems with Internet Explorer 9. Is there any update for EXT Core script for working with less compatibility issues as jQuery does work with IE9 without problems.

  2. #2
    Sencha - Community Support Team Condor's Avatar
    Join Date
    Mar 2007
    Location
    The Netherlands
    Posts
    24,246
    Answers
    1
    Vote Rating
    82
    Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of Condor has much to be proud of

      0  

    Default


    I assume that this will be fixed quickly after the final IE9 release, but for now you could try replacing:
    Code:
            isIE7 = isIE && check(/msie 7/),
            isIE8 = isIE && check(/msie 8/),
            isIE6 = isIE && !isIE7 && !isIE8,
    with
    Code:
            ieVer = /msie (\d+)/i.match(navigator.userAgent),
            ieVer = ieVer ? parseInt(ieVer[1], 10) : NaN,
            isIE6 = ieVer <= 6,
            isIE7 = ieVer == 7,
            isIE8 = ieVer >= 8,
    (in Ext.js)

  3. #3
    Sencha User
    Join Date
    Dec 2007
    Posts
    167
    Vote Rating
    0
    hello2008 is on a distinguished road

      0  

    Default


    I don't quite understand why no official refactoring for "isIE6 = isIE && !isIE(7, 8, ...)" so far.

    Nice fix, thanks Condor.

  4. #4
    Ext User
    Join Date
    Apr 2010
    Posts
    4
    Vote Rating
    0
    taghouse is on a distinguished road

      0  

    Wink


    Thanks, I can do the same in ext-core.js ?

    Best regards! Greetigns from Brazil.

  5. #5
    Sencha User
    Join Date
    Mar 2007
    Posts
    22
    Vote Rating
    0
    Gerard Pastis is on a distinguished road

      0  

    Default


    Quick fix, Condor invert string/regexp
    Code:
    ieVer = navigator.userAgent.match(/msie (\d+)/i),
    ieVer = ieVer ? parseInt(ieVer[1], 10) : 0,
    isIE6 = isIE && ieVer <= 6,
    isIE7 = isIE && ieVer == 7,
    isIE8 = isIE && ieVer >= 8,

  6. #6
    Sencha User
    Join Date
    Oct 2008
    Posts
    48
    Vote Rating
    0
    Daz is on a distinguished road

      0  

    Default


    Thanks for the fix Condor although tree nodes don't appear to be working.
    IE9 beta/tree nodes not clickable when a doctype declaration is specified, further details here: http://www.sencha.com/forum/showthre...nd-the-DOCType
    Given trees are such a widely used component, are there any plans for trees/ IE9 to be supported in 3.3.2?
    If so, any updates on when 3.3.2 will be available?

    In the interim, can you suggest any additional fixes to get trees working.

  7. #7
    Sencha User
    Join Date
    Sep 2008
    Posts
    6
    Vote Rating
    0
    jens876 is on a distinguished road

      0  

    Default


    Hi,

    i couldnĀ“t find an information about the ie9 Support by ExtJS 3.3.2. Does Version 3.3.2 support IE9?

    Thanks for any Information.

  8. #8
    Sencha User
    Join Date
    Mar 2011
    Posts
    2
    Vote Rating
    0
    superman8910 is on a distinguished road

      0  

    Question


    Since yesterday, IE9 offically release now. so is there a date for fixing the IE9 problem ?

  9. #9
    Sencha User
    Join Date
    Jan 2010
    Posts
    20
    Vote Rating
    0
    cstansbury is on a distinguished road

      0  

    Exclamation Re: IE 9 compatibility

    Re: IE 9 compatibility


    I too would like to hear any updates in re: IE9 compatibility, because (as is mentioned in another thread) the TreePanel functionality is completely broken in IE9.

  10. #10
    Sencha User
    Join Date
    Apr 2008
    Posts
    8
    Vote Rating
    -1
    Koos is an unknown quantity at this point

      0  

    Default Wake up!

    Wake up!


    Hey guys, it's really time to wake up! IE 9 has been released for weeks now (and MS started pushing it via Windows Update) and there is no Ext version that works. I presume Ext 4 will be able to work with IE9, but Ext 4 is not even released yet. Plus we will need time to convert our code to Ext 4. In the meantime we have to inform users they can't use IE !?!?!

Similar Threads

  1. [SOLVED]Internet Explorer cannon open the Internet site
    By eyuwang in forum Ext 2.x: Help & Discussion
    Replies: 2
    Last Post: 26 Nov 2008, 4:43 PM
  2. Replies: 0
    Last Post: 18 Nov 2008, 10:38 AM

Thread Participants: 9